<?php
/**
 * @package Imooh_Post_On_Thai
 * @version 1.0
 */
/*
Plugin Name: Imooh Post on Thai
Plugin URI: http://www.imooh.com/imooh-post-on-thai-format
Description: แสดงเวลาที่โพสต์บทความเป็นวันที่ภาษาไทย เช่น  วันที่15 เมษายน พ.ศ. 2555 เวลา 15:30:05 น.
Author: Imooh.com
Version: 1.0
Author URI: http://www.imooh.com/
*/

function imooh_post_on_thai() {
    global $post;
    $post_date = $post->post_date;
    $thaimonth = array(1=>"มกราคม","กุมภาพันธ์","มีนาคม","เมษายน","พฤษภาคม","มิถุนายน","กรกฎาคม","สิงหาคม","กันยายน","ตุลาคม","พฤศจิกายน","ธันวาคม");
    $post_date = explode(' ', $post_date);
    list($year,$month,$day) = explode('-', $post_date[0]);
    return 'วันที่ '.intval($day).' '.$thaimonth[intval($month)].' พ.ศ. '.($year+543).' เวลา '.$post_date[1].' น.';
}

add_filter( 'get_the_date', 'imooh_post_on_thai' );
add_filter( 'the_time', 'imooh_post_on_thai' );